%{!?__python2:        %define __python2 /usr/bin/python2}
%{!?python2_sitelib:  %define python2_sitelib  %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib())")}
%{!?python2_sitearch: %define python2_sitearch %(%{__python2} -c "from distutils.sysconfig import get_python_lib; print(get_python_lib(1))")}

%define modn   requests
%define modv   2.5.3


Summary:       A HTTP library for Python
Name:          python-%{modn}
Version:       %{modv}
Release:       1%{?dist}%{?pext}
License:       APLv2
Group:         Development/Libraries
Source0:       https://pypi.python.org/packages/source/r/%{modn}/%{modn}-%{modv}.tar.gz
Patch0:        %{modn}-2.5.3-tests.patch
URL:           https://pypi.python.org/pypi/%{modn}/
Buildroot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Vendor:        Kenneth Reitz <me@kennethreitz.com>
Provides:      python(%{modn}) = %{modv}
Provides:      python(%{modn}.packages) = %{modv}
Provides:      python(%{modn}.packages.chardet) = %{modv}
Provides:      python(%{modn}.packages.urllib3) = %{modv}
Provides:      python(%{modn}.packages.urllib3.contrib) = %{modv}
Provides:      python(%{modn}.packages.urllib3.packages) = %{modv}
Provides:      python(%{modn}.packages.urllib3.packages.ssl_match_hostname) = %{modv}
Provides:      python(%{modn}.packages.urllib3.util) = %{modv}
Requires:      python-ndg_httpsclient >= 0.3.2
Requires:      python-ntlm
BuildRequires: python2-devel python-setuptools
BuildRequires: python-pytest
BuildArch:     noarch


%description
Requests is a HTTP library, written in Python, which allows for sending
HTTP/1.1 requests. It supports adding headers, form data, multipart files,
and parameters with simple Python dictionaries, and accessing the response
data in the same way. It is powered by httplib and urllib3.


%prep
%setup -q -n %{modn}-%{modv}
%patch0 -p1


%build
%{__python2} -c 'import setuptools; execfile("setup.py")' build


%check
py.test


%install
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}
%{__mkdir_p} ${RPM_BUILD_ROOT}%{_prefix}

%{__python2} -c 'import setuptools; execfile("setup.py")' install \
	--skip-build -O1 --root ${RPM_BUILD_ROOT}


%clean
[ -n "${RPM_BUILD_ROOT}" -a "${RPM_BUILD_ROOT}" != "/" ] && %{__rm} -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc HISTORY* LICENSE NOTICE README*
%{python2_sitelib}/%{modn}
%{python2_sitelib}/*.egg-info


%changelog
* Thu Feb 26 2015 Peter Pramberger <peterpramb@member.fsf.org> - 2.5.3-1
- Initial build
